POST/shorts.v1alpha1.StockService/GetStock

GetStock

Provides an overview of a specific stock based on PRODUCT_CODE.

Parameters

Connect-Protocol-VersionheaderRequired
number [1]

Define the version of the Connect protocol

Connect-Timeout-Msheader
number

Define the timeout, in ms

Request Body

application/json
object

Request for GetStockSummary RPC, specifying the product code.

productCodestring

(proto string)

Responses

200Success
application/json
object

A Stock represents a single stock's metadata.

industrystring

(proto string)

logoUrlstring

TODO(castlemilk): add more metadata here as needed (proto string)

namestring

The full name of the stock. (proto string)

percentageShortednumber <float>

(proto float)

productCodestring

The stock code, e.g., "CBA", "ZIP", "PLS". (proto string)

reportedShortPositionsnumber <float>

(proto float)

tagsarray

(proto string)

Array Items:
string
totalProductInIssuenumber <float>

(proto float)

defaultError
application/json
object

Error type returned by Connect: https://connectrpc.com/docs/go/errors/#http-representation

codestring [canceled, unknown, invalid_argument, deadline_exceeded, not_found, already_exists, permission_denied, resource_exhausted, failed_precondition, aborted, out_of_range, unimplemented, internal, unavailable, data_loss, unauthenticated]

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

detailsarray

A list of messages that carry the error details. There is no limit on the number of messages.

Array Items:
messagestring

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

curl -X POST "https://api.shorted.com.au/shorts.v1alpha1.StockService/GetStock" \
  -H "Content-Type: application/json" \
  -d '{
  "productCode": "string"
}'